[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TFields.Fields

Indexed access to the fields in the list

## Declaration

Source position: db.pas line 1107

`public property TFields.Fields : TField read GetField write SetField; default;`

## Description

Fields is the default property of the TFields class. It provides indexed access to the fields in the list: the index runs from 0 to Count-1.

## Errors

Providing an index outside the allowed range will result in an EListError exception.

## See also

TFields.FieldByName |  | Find a field based on its name

Documentation generated on: Feb 26 2014